Subject: Re: [PATCH 0/8] test-lib tests: split off subtest code in t0000 into lib-subtest.sh

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 24 Jun 2021 12:38:32 +0200

On Tue, Jun 15 2021, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>
>> This refactors the testing of test-lib.sh itself in t0000 into a
>> lib-subtest.sh, fixing duplicate setup, bugs and various shell nits
>> along the way.
>> ...
>> I thought it was better to submit this now anyway, while
>> this code is fresh in people's minds.
>
> Any time you send it anew is the time it is fresh in people's minds
> if they read it, no?  I am not sure I understand the reasoning.
>
>> I'm hoping Felipe will take some variant of my
>> http://lore.kernel.org/git/[email-masked] and
>> perhaps review this series & base his patch on top of these changes,
>> but alternatively they can go in independently with Junio solving the
>> conflict.
>
> I'd rather not if it can be avoided.  Please scale the process by
> coordinating among contributors yourselves.

Per Felipe's reply and his
https://lore.kernel.org/git/[email-masked]/
I don't think there's any conflict anymore, so this series should apply
on master without any conflicts.

It would be great to have it picked up, it's another set of test
cleanups I need for a subsequent series...